# Uses of Interface
net.shibboleth.idp.authn.CredentialValidator

Packages that use CredentialValidator
Package
Description
net.shibboleth.idp.authn
APIs related to the authentication of a subject.
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.

## Uses of CredentialValidator in net.shibboleth.idp.authn

Classes in net.shibboleth.idp.authn that implement CredentialValidator
Modifier and Type
Class
Description
`class`
`AbstractCredentialValidator`
An abstract `CredentialValidator` that handles some common behavior.
`class`
`AbstractUsernamePasswordCredentialValidator`
An abstract `CredentialValidator` that checks for a `UsernamePasswordContext` and delegates to subclasses to produce a result.

## Uses of CredentialValidator in net.shibboleth.idp.authn.impl

Classes in net.shibboleth.idp.authn.impl that implement CredentialValidator
Modifier and Type
Class
Description
`class`
`HTPasswdCredentialValidator`
A password validator that authenticates against Apache htpasswd files.
`class`
`JAASCredentialValidator`
A password validator that authenticates against JAAS.
`class`
`KerberosCredentialValidator`
A password validator that authenticates against Kerberos natively, with optional service ticket verification.
`class`
`LDAPCredentialValidator`
A password validator that authenticates against LDAP natively.
`class`
`X509CertificateCredentialValidator`
A credential validator that validates an X.509 certificate.
Fields in net.shibboleth.idp.authn.impl declared as CredentialValidator
Modifier and Type
Field
Description
`private CredentialValidator`
ValidateCredentials.`currentValidator`
Currently executing validator.
Fields in net.shibboleth.idp.authn.impl with type parameters of type CredentialValidator
Modifier and Type
Field
Description
`private List<CredentialValidator>`
ValidateCredentials.`credentialValidators`
Ordered list of validators.
Method parameters in net.shibboleth.idp.authn.impl with type arguments of type CredentialValidator
Modifier and Type
Method
Description
`void`
ValidateCredentials.`setValidators(List<CredentialValidator> validators)`
Set the list of validators to use.